## gcr 3.28.0

=== debian/changelog ===
gcr (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libgcr-base-3-1.symbols: Add new symbols
  * Drop libgcr-3-common: the library doesn't have data files any more
  * Set XDG_RUNTIME_DIR for build tests
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop patches applied in new release
    - 0001-do-not-require-system-bus-for-running-test-suite.patch
    - 0002-wait-longer-for-dbus-replies-in-test_watch_cancels.patch
    - tests-fix-collection-tests-to-work-with-gpg-21.patch

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 18:36:46 -0400

gcr (3.20.0-6) unstable; urgency=medium

  [ Simon McVittie ]
  * gir1.2-gcr-3 Provides gir1.2-gcrui-3 to reflect the other typelib
    that it includes

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Use dh_missing --fail-missing
  * Build with all hardening flags
  * Add allow-mnemonics.patch from Bugzilla to allow the "choice" label to use
    mnemonics

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 16:16:01 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gcr
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 11),
               docbook-xml,
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.9),
               gobject-introspection (>= 1.34),
               intltool (>= 0.35.0),
               libgirepository1.0-dev (>= 1.34),
               libgtk-3-dev (>= 3.12.0),
               libglib2.0-dev (>= 2.38.0),
               libtasn1-6-dev,
               libtasn1-bin,
               libdbus-1-dev (>= 1.0),
               libgcrypt20-dev (>= 1.4.5),
               libp11-kit-dev (>= 0.19.0),
               libglib2.0-doc,
               valac,
               xsltproc,
               dbus <!nocheck>,
               gnupg <!nocheck>
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gcr
Vcs-Git: https://salsa.debian.org/gnome-team/gcr.git
Homepage: https://wiki.gnome.org/Projects/GnomeKeyring

Package: gcr
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         default-dbus-session-bus | dbus-session-bus
Description: GNOME crypto services (daemon and tools)
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the certificate viewer and prompter service.

Package: libgck-1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         gir1.2-gck-1 (= ${binary:Version}),
         libgck-1-0 (= ${binary:Version}),
         libglib2.0-dev,
         libp11-kit-dev
Suggests: libgck-1-doc
Description: GLib wrapper library for PKCS#11 - development
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCK library.

Package: libgck-1-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: GLib wrapper library for PKCS#11 - documentation
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the API documentation for the GCK library.

Package: libgck-1-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Glib wrapper library for PKCS#11 - runtime
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the shared libraries needed to run programs
 built against the GCK library.

Package: gir1.2-gck-1
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GCK library
 This package contains introspection data for GCK, a wrapper based on GLib
 implementing the PKCS#11 (Cryptoki) interface.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the GCK library.

Package: libgcr-3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         gir1.2-gcr-3 (= ${binary:Version}),
         libgcr-base-3-1 (= ${binary:Version}),
         libgcr-ui-3-1 (= ${binary:Version}),
         libgck-1-dev (= ${binary:Version}),
         libglib2.0-dev,
         libgtk-3-dev,
         libp11-kit-dev
Suggests: libgcr-3-doc
Description: Library for Crypto UI related tasks - development
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCR library.

Package: libgcr-3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: Library for Crypto UI related tasks - documentation
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the API documentation for the GCR library.

Package: libgcr-base-3-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: libgcr-3-1 (<< 3.8.2-2)
Breaks: libgcr-3-1 (<< 3.8.2-2)
Description: Library for Crypto related tasks
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the GObject library for high level crypto
 parsing.

Package: libgcr-ui-3-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: libgcr-3-1 (<< 3.8.2-2)
Breaks: libgcr-3-1 (<< 3.8.2-2)
Description: Library for Crypto UI related tasks
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the GObject and GUI library for high level
 crypto parsing and display.

Package: gir1.2-gcr-3
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Provides: gir1.2-gcrui-3 (= ${binary:Version})
Description: GObject introspection data for the GCR library
 This package contains introspection data for GCR, a library for crypto UI
 and related tasks.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the GCR library.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

CHECK_HOME = $(CURDIR)/debian/tmp/home

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/gcr \
		--enable-gtk-doc \
		--enable-introspection \
		--with-gtk \
		--disable-update-mime \
		--disable-valgrind

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p $(CHECK_HOME)
	# Disable fakeroot as this confuses some of the tests
	env -u LD_PRELOAD XDG_RUNTIME_DIR=$(CHECK_HOME) dbus-run-session -- make check VERBOSE=1
endif

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	# Old compatibility library no longer needed
	find debian/tmp -name 'libgcr-3.so*' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_clean:
	rm -rf $(CHECK_HOME)
	dh_clean

## gcr 3.28.1

=== debian/changelog ===
gcr (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Drop system-prompter-Fix-use-of-g_hash_table.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 22 Jan 2019 08:36:44 -0500

gcr (3.28.0-4) unstable; urgency=medium

  * Cherry-pick system-prompter-Fix-use-of-g_hash_table.patch:
    - Make compatible with glib 2.59

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 04 Jan 2019 09:22:23 -0500

gcr (3.28.0-3) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 20:58:54 -0500

gcr (3.28.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1
  * Set build test temporary directory's mode to 0700 to fix warning

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Dec 2018 09:02:46 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11),
                docbook-xml,
                gnome-pkg-tools (>= 0.10),
@@ -26,7 +26,7 @@
                xsltproc,
                dbus <!nocheck>,
                gnupg <!nocheck>
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gcr
 Vcs-Git: https://salsa.debian.org/gnome-team/gcr.git
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 CHECK_HOME = $(CURDIR)/debian/tmp/home
 
@@ -23,9 +22,9 @@
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	mkdir -p $(CHECK_HOME)
+	mkdir -p -m0700 $(CHECK_HOME)
 	# Disable fakeroot as this confuses some of the tests
-	env -u LD_PRELOAD XDG_RUNTIME_DIR=$(CHECK_HOME) dbus-run-session -- make check VERBOSE=1
+	env -u LD_PRELOAD XDG_RUNTIME_DIR=$(CHECK_HOME) dbus-run-session -- dh_auto_test
 endif
 
 override_dh_install:

## gcr 3.33.4

=== debian/changelog ===
gcr (3.33.4-2) unstable; urgency=medium

  * Add patch to use python3 in render-icons.py (Closes: #939592)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Sep 2019 13:23:32 +0200

gcr (3.33.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - build-depends on gettext instead of intltool
  * debian/patches/egg-Write-Proc-Type-header-before-DEK-Info.patch,
    debian/patches/gck-mock-Also-store-objects-in-the-order-they-are-taken.patch:
    - removed, included in the new version
  * debian/patches/git_sks_server.patch:
    - remove SKS from the default keyserver, they were victim of a poisoned
      certificates attack and are not safe to use

  [ Simon McVittie ]
  * d/p/Replace-tap-gtester-with-one-that-relies-on-GLib-2.38-TAP.patch:
    - resolves build-time test failures when built with GLib 2.61+
      (Closes: #940172)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Aug 2019 20:57:35 +0200

gcr (3.28.1-2) experimental; urgency=medium

  * Cherry-pick some upstream patches to fix build failures with GLib 2.59
    gnome-keyring assumed that hash table iteration order was stable. It's
    not, and GLib exposed that.

 -- Iain Lane <laney@debian.org>  Fri, 08 Feb 2019 17:57:09 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11),
                docbook-xml,
                gnome-pkg-tools (>= 0.10),
                gtk-doc-tools (>= 1.9),
                gobject-introspection (>= 1.34),
-               intltool (>= 0.35.0),
+               gettext,
                libgirepository1.0-dev (>= 1.34),
                libgtk-3-dev (>= 3.12.0),
                libglib2.0-dev (>= 2.38.0),

## gcr 3.34.0

=== debian/changelog ===
gcr (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches except tests-collection-test-timeout.patch:
    - Applied in new release
  * Cherry-pick build-Use-sid-for-.desktop-variables-substition.patch:
    - Fix broken gcr-viewer.desktop (Closes: #941417, #942546)
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome & dh-sequence-gir

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 22 Oct 2019 06:20:09 -0400

gcr (3.33.4-3) unstable; urgency=medium

  * Team upload
  * Tighten interdependencies between libraries to upgrade in lockstep.
    Nobody is going to test arbitrary combinations of binary packages from
    the same source, and there seems no benefit in upgrading on a finer
    granularity than per-source-package. (Related to #941076)
  * Canonicalize order of installed file lists (wrap-and-sort -a)
  * Canonicalize order of dependency lists (wrap-and-sort -a)
  * d/tests: Add autopkgtest smoke-tests for the development libraries
  * d/p/configure-Use-PKG_PROG_PKG_CONFIG-instead-of-reinventing-.patch,
    d/p/configure-Run-PKG_CONFIG-instead-of-hard-coding-pkg-confi.patch:
    Use a cross-compilation-friendly mechanism to find pkg-config
  * d/p/: Update patch metadata
  * Standards-Version: 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Sep 2019 20:34:43 +0100

=== debian/control ===
--- 
+++ 
@@ -6,36 +6,38 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: dbus <!nocheck>,
+               debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                docbook-xml,
-               gnome-pkg-tools (>= 0.10),
+               gnupg <!nocheck>,
                gtk-doc-tools (>= 1.9),
-               gobject-introspection (>= 1.34),
-               gettext,
+               libdbus-1-dev (>= 1.0),
+               libgcrypt20-dev (>= 1.4.5),
                libgirepository1.0-dev (>= 1.34),
+               libglib2.0-dev (>= 2.38.0),
+               libglib2.0-doc,
                libgtk-3-dev (>= 3.12.0),
-               libglib2.0-dev (>= 2.38.0),
+               libp11-kit-dev (>= 0.19.0),
                libtasn1-6-dev,
                libtasn1-bin,
-               libdbus-1-dev (>= 1.0),
-               libgcrypt20-dev (>= 1.4.5),
-               libp11-kit-dev (>= 0.19.0),
-               libglib2.0-doc,
                valac,
-               xsltproc,
-               dbus <!nocheck>,
-               gnupg <!nocheck>
-Standards-Version: 4.3.0
+               xsltproc
+Rules-Requires-Root: no
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gcr
 Vcs-Git: https://salsa.debian.org/gnome-team/gcr.git
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring
 
 Package: gcr
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         default-dbus-session-bus | dbus-session-bus
+Depends: default-dbus-session-bus | dbus-session-bus,
+         libgcr-base-3-1 (= ${binary:Version}),
+         libgcr-ui-3-1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GNOME crypto services (daemon and tools)
  GCR is a library for crypto UI and related tasks.
  .
@@ -45,11 +47,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         gir1.2-gck-1 (= ${binary:Version}),
+Depends: gir1.2-gck-1 (= ${binary:Version}),
          libgck-1-0 (= ${binary:Version}),
          libglib2.0-dev,
-         libp11-kit-dev
+         libp11-kit-dev,
+         ${misc:Depends}
 Suggests: libgck-1-doc
 Description: GLib wrapper library for PKCS#11 - development
  GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
@@ -87,7 +89,8 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${gir:Depends},
+Depends: libgck-1-0 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
 Description: GObject introspection data for the GCK library
  This package contains introspection data for GCK, a wrapper based on GLib
@@ -100,14 +103,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         gir1.2-gcr-3 (= ${binary:Version}),
+Depends: gir1.2-gcr-3 (= ${binary:Version}),
+         libgck-1-dev (= ${binary:Version}),
          libgcr-base-3-1 (= ${binary:Version}),
          libgcr-ui-3-1 (= ${binary:Version}),
-         libgck-1-dev (= ${binary:Version}),
          libglib2.0-dev,
          libgtk-3-dev,
-         libp11-kit-dev
+         libp11-kit-dev,
+         ${misc:Depends}
 Suggests: libgcr-3-doc
 Description: Library for Crypto UI related tasks - development
  GCR is a library for crypto UI and related tasks.
@@ -130,7 +133,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: libgck-1-0 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Replaces: libgcr-3-1 (<< 3.8.2-2)
 Breaks: libgcr-3-1 (<< 3.8.2-2)
@@ -144,7 +148,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: libgck-1-0 (= ${binary:Version}),
+         libgcr-base-3-1 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Replaces: libgcr-3-1 (<< 3.8.2-2)
 Breaks: libgcr-3-1 (<< 3.8.2-2)
@@ -158,7 +164,9 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${gir:Depends},
+Depends: libgcr-base-3-1 (= ${binary:Version}),
+         libgcr-ui-3-1 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
 Provides: gir1.2-gcrui-3 (= ${binary:Version})
 Description: GObject introspection data for the GCR library

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 CHECK_HOME = $(CURDIR)/debian/tmp/home
 
 %:
-	dh $@ --with gir,gnome
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed

## gcr 3.36.0

=== meson_options.txt ===
option('introspection',
  type: 'boolean',
  value: true,
  description: 'Build GObject Introspection (GIR) files',
)
option('gtk',
  type: 'boolean',
  value: true,
  description: 'Build code that uses GTK+',
)
option('gtk_doc',
  type: 'boolean',
  value: true,
  description: 'Build the reference documentation (requires gtk-doc)',
)

=== debian/changelog ===
gcr (3.36.0-2build1) focal; urgency=medium

  * debian/rules:
    - Build without =-Wl,-Bsymbolic-functions, it breaks the tests
      for some reason

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Mar 2020 16:30:37 +0100

gcr (3.36.0-2) unstable; urgency=medium

  * Team upload
  * d/p/gck-slot-Initialize-struct-tm-to-all-zeroes.patch:
    Add patch to fix timestamp parsing, fixing intermittent test failures
    (Closes: #953981)
  * d/p/tests-collection-test-timeout.patch:
    Mark patch as forwarded upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Mar 2020 14:40:41 +0000

gcr (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - Bump build-dependencies and switch to meson
    - Drop d/p/build-Use-sed-for-.desktop-variables-substitution.patch, not
      needed now that we switched to meson
    - debian/libgcr-base-3-1.symbols: Add newly exported symbols
  * Move gcr-prompter and gcr-ssh-askpass to /usr/libexec
  * debian/control.in: Mark the -doc packages as Build-Profiles: <!nodoc> and
    add libgtk-3-doc to the BDI
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Make autopkgtests cross-test-friendly, thanks to Steve Langasek (Closes:
    #946369)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Mar 2020 15:52:58 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: dbus <!nocheck>,
                debhelper-compat (= 12),
                dh-sequence-gir,
@@ -17,16 +17,17 @@
                libdbus-1-dev (>= 1.0),
                libgcrypt20-dev (>= 1.4.5),
                libgirepository1.0-dev (>= 1.34),
-               libglib2.0-dev (>= 2.38.0),
-               libglib2.0-doc,
+               libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 3.12.0),
                libp11-kit-dev (>= 0.19.0),
                libtasn1-6-dev,
                libtasn1-bin,
+               meson (>= 0.49),
                valac,
                xsltproc
+Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gcr
 Vcs-Git: https://salsa.debian.org/gnome-team/gcr.git
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring
@@ -49,8 +50,8 @@
 Multi-Arch: same
 Depends: gir1.2-gck-1 (= ${binary:Version}),
          libgck-1-0 (= ${binary:Version}),
-         libglib2.0-dev,
-         libp11-kit-dev,
+         libglib2.0-dev (>= 2.44.0),
+         libp11-kit-dev (>= 0.19.0),
          ${misc:Depends}
 Suggests: libgck-1-doc
 Description: GLib wrapper library for PKCS#11 - development
@@ -66,6 +67,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: devhelp
+Build-Profiles: <!nodoc>
 Description: GLib wrapper library for PKCS#11 - documentation
  GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
  interface.
@@ -124,6 +126,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: devhelp
+Build-Profiles: <!nodoc>
 Description: Library for Crypto UI related tasks - documentation
  GCR is a library for crypto UI and related tasks.
  .

## gcr 3.38.0

=== debian/changelog ===
gcr (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/gck-slot-Initialize-struct-tm-to-all-zeroes.patch:
    - remove patch included in the new version
  * debian/rules:
    - Build without =-Wl,-Bsymbolic-functions, it breaks the tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 Sep 2020 15:20:23 +0200

## gcr 3.38.1

=== debian/changelog ===
gcr (3.38.1-2) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTBFS with nocheck profile.
    gpg is required at configure time, even if we will not run the tests.
    (Closes: #980830)

  [ Simon McVittie ]
  * Standards-Version: 4.5.1 (no changes required)
  * d/upstream/metadata: Add
  * Add Lintian overrides for #970275

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 13:36:13 +0000

gcr (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Jan 2021 17:26:53 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                docbook-xml,
-               gnupg <!nocheck>,
+               gnupg,
                gtk-doc-tools (>= 1.9),
                libdbus-1-dev (>= 1.0),
                libgcrypt20-dev (>= 1.4.5),
@@ -27,7 +27,7 @@
                xsltproc
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gcr
 Vcs-Git: https://salsa.debian.org/gnome-team/gcr.git
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring

=== debian/rules ===
--- 
+++ 
@@ -3,22 +3,20 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
+# Filter out that flag for Ubuntu, it's default there but fails the build
+# https://gitlab.gnome.org/GNOME/gcr/issues/43
+export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+
 CHECK_HOME = $(CURDIR)/debian/tmp/home
 
 %:
-	dh $@
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	dh $@ --buildsystem=meson --without autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/lib/gcr \
-		--enable-gtk-doc \
-		--enable-introspection \
-		--with-gtk \
-		--disable-update-mime \
-		--disable-valgrind
+		-Dgtk_doc=true \
+		-Dintrospection=true \
+		-Dgtk=true
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))

## gcr 3.40.0

=== meson_options.txt ===
--- 
+++ 
@@ -13,3 +13,8 @@
   value: true,
   description: 'Build the reference documentation (requires gtk-doc)',
 )
+option('gpg_path',
+  type: 'string',
+  value: '',
+  description: 'Path to gpg, autodetected if not set',
+)

=== debian/changelog ===
gcr (3.40.0-4) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest meson (Closes: #1005545)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 16:18:13 -0400

gcr (3.40.0-3) unstable; urgency=medium

  * debian/patches: Fix random certificate chain test failure in some archs

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Sep 2021 02:08:30 +0200

gcr (3.40.0-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: Clean up obsolete overrides
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 20:24:56 -0400

gcr (3.40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated gtk requirement
  * debian/docs:
    - updated documentation files to include
  * debian/libgck-1-0.symbols:
    - updated the list of symbols for the new version
  * debian/rules:
    - remove autoreconf overwrite, not needed anymore
  * debian/patches/tests-collection-test-timeout.patch:
    - remove patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Jun 2021 16:23:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: dbus <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                docbook-xml,
@@ -18,7 +18,7 @@
                libgcrypt20-dev (>= 1.4.5),
                libgirepository1.0-dev (>= 1.34),
                libglib2.0-dev (>= 2.44.0),
-               libgtk-3-dev (>= 3.12.0),
+               libgtk-3-dev (>= 3.22.0),
                libp11-kit-dev (>= 0.19.0),
                libtasn1-6-dev,
                libtasn1-bin,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# Filter out that flag for Ubuntu, it's default there but fails the build
# https://gitlab.gnome.org/GNOME/gcr/issues/43
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dintrospection=true \
		-Dgtk=true

override_dh_auto_test:
	# Disable fakeroot as this confuses some of the tests
	env -u LD_PRELOAD dbus-run-session -- dh_auto_test

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## gcr 3.41.1

=== debian/changelog ===
gcr (3.41.1-3) unstable; urgency=medium

  * debian/watch: Only watch for 3.x versions
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 May 2023 09:07:13 -0400

gcr (3.41.1-2) unstable; urgency=medium

  * Add debian/patches/Fix-FTBFS-on-x32.patch: Fix FTBFS on x32.
    This patch is inspired from Simon proposal on the upstream bug
    (Closes: #953984)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Mar 2023 12:29:03 +0100

gcr (3.41.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen instead of gtk-doc-tools
  * debian/control.in: Bump minimum meson to 0.52
  * Drop 2 patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 22:48:53 +0200

gcr (3.41.0-4) unstable; urgency=medium

  * Use dh-exec to install systemd user service on Linux only
  * Don't build ssh-agent on non-Linux since it requires libsecret

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 25 May 2022 09:09:52 -0400

gcr (3.41.0-2) unstable; urgency=medium

  * Add patch to start systemd service with graphical session

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 May 2022 11:52:15 -0400

gcr (3.41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on openssh-client
  * Build new systemd ssh-agent user service
  * Add patch to fix a build issue without systemd
  * Drop test chain patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 May 2022 11:17:10 -0400

=== debian/control ===
--- 
+++ 
@@ -6,28 +6,32 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: dbus <!nocheck>,
                debhelper-compat (= 13),
+               dh-exec,
                dh-sequence-gir,
                dh-sequence-gnome,
                docbook-xml,
+               gi-docgen,
                gnupg,
-               gtk-doc-tools (>= 1.9),
                libdbus-1-dev (>= 1.0),
                libgcrypt20-dev (>= 1.4.5),
                libgirepository1.0-dev (>= 1.34),
                libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 3.22.0),
                libp11-kit-dev (>= 0.19.0),
+               libsecret-1-dev (>= 0.20) [linux-any],
+               libsystemd-dev [linux-any],
                libtasn1-6-dev,
                libtasn1-bin,
-               meson (>= 0.49),
+               meson (>= 0.52),
+               openssh-client,
                valac,
                xsltproc
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gcr
 Vcs-Git: https://salsa.debian.org/gnome-team/gcr.git
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,22 @@
 # https://gitlab.gnome.org/GNOME/gcr/issues/43
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 
+ifneq ($(DEB_HOST_ARCH_OS),linux)
+SYSTEMD = -Dsystemd=disabled
+SSH_AGENT = -Dssh_agent=false
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-Dauto_features=enabled \
 		-Dgtk_doc=true \
 		-Dintrospection=true \
-		-Dgtk=true
+		-Dgtk=true \
+		$(SSH_AGENT) \
+		$(SYSTEMD)
 
 override_dh_auto_test:
 	# Disable fakeroot as this confuses some of the tests

## gcr 3.41.2

=== debian/changelog ===
gcr (3.41.2-5) unstable; urgency=medium

  [ Simon McVittie ]
  * Opt into Salsa CI

  [ Jeremy Bícha ]
  * Remove unnecessary Build-Depends: libgirepository1.0-dev (Closes: #1118820)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Oct 2025 17:38:13 -0400

gcr (3.41.2-4) unstable; urgency=medium

  * Team upload
  * d/control: Explicitly Build-Depend on gir1.2-*-dev
  * d/control: Add ${gir:Depends} to -dev packages
  * d/control: Add ${gir:Provides} to -dev packages
  * d/control: Remove Build-Depends-Indep on -doc packages.
    gtk-doc needed these for interlinking between packages' documentation,
    but gi-docgen handles that differently.
  * d/control, d/rules: Only require gi-docgen when building -doc package
  * d/control: Remove obsolete Build-Depends on docbook-xml and xsltproc.
    These don't seem to be used for anything any more, and diffoscope
    confirms that the built packages are unaffected.
  * d/*-doc.links: Register API documentation with devhelp
  * d/*.doc-base.*: Register API documentation with doc-base
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Aug 2025 13:45:10 +0100

gcr (3.41.2-3) unstable; urgency=medium

  [ Santiago Vila ]
  * Add patch to disable a test that segfaults on some systems
    (Closes: #1069402)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 03 May 2025 10:27:57 +0200

gcr (3.41.2-2) unstable; urgency=medium

  * Cherry-pick patch to disable parallel running of a build test.
    Mitigates: #1057562
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 17:21:21 -0400

gcr (3.41.2-1) unstable; urgency=medium

  * New upstream release
  * Drop dh-exec since it's no longer used here
  * Drop patch applied in new release
  * Ignore build test failures on s390x as was done with gcr4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 16:44:55 -0500

gcr (3.41.1-5) unstable; urgency=medium

  * Stop building the gcr-ssh-agent service
  * Have gcr depend on gcr4 which provides that service now
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 14:50:50 -0500

gcr (3.41.1-4) unstable; urgency=medium

  * debian/patches/gitlab_meson_resource.patch:
    - cherry pick a fix proposed upstream to fix a regression in the port
      to meson where one the gresource files isn't include anymore which
      is needed for pkcs11 certificates import. (lp: #1771880)
      Thanks Damjan Jovanovic for working on the issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 Dec 2023 10:59:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,18 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gcr
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: dbus <!nocheck>,
                debhelper-compat (= 13),
-               dh-exec,
                dh-sequence-gir,
                dh-sequence-gnome,
-               docbook-xml,
-               gi-docgen,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gtk-3.0-dev,
                gnupg,
                libdbus-1-dev (>= 1.0),
                libgcrypt20-dev (>= 1.4.5),
-               libgirepository1.0-dev (>= 1.34),
                libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 3.22.0),
                libp11-kit-dev (>= 0.19.0),
@@ -28,10 +23,8 @@
                meson (>= 0.52),
                openssh-client,
                valac,
-               xsltproc
-Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Build-Depends-Indep: gi-docgen,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gcr
 Vcs-Git: https://salsa.debian.org/gnome-team/gcr.git
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring
@@ -39,6 +32,7 @@
 Package: gcr
 Architecture: any
 Depends: default-dbus-session-bus | dbus-session-bus,
+         gcr4,
          libgcr-base-3-1 (= ${binary:Version}),
          libgcr-ui-3-1 (= ${binary:Version}),
          ${misc:Depends},
@@ -52,11 +46,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-gck-1 (= ${binary:Version}),
+Depends: ${gir:Depends},
          libgck-1-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.44.0),
          libp11-kit-dev (>= 0.19.0),
          ${misc:Depends}
+Provides: ${gir:Provides},
 Suggests: libgck-1-doc
 Description: GLib wrapper library for PKCS#11 - development
  GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
@@ -109,7 +104,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-gcr-3 (= ${binary:Version}),
+Depends: ${gir:Depends},
          libgck-1-dev (= ${binary:Version}),
          libgcr-base-3-1 (= ${binary:Version}),
          libgcr-ui-3-1 (= ${binary:Version}),
@@ -117,6 +112,7 @@
          libgtk-3-dev,
          libp11-kit-dev,
          ${misc:Depends}
+Provides: ${gir:Provides},
 Suggests: libgcr-3-doc
 Description: Library for Crypto UI related tasks - development
  GCR is a library for crypto UI and related tasks.
@@ -175,7 +171,7 @@
          libgcr-ui-3-1 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
-Provides: gir1.2-gcrui-3 (= ${binary:Version})
+Provides: ${gir:Provides},
 Description: GObject introspection data for the GCR library
  This package contains introspection data for GCR, a library for crypto UI
  and related tasks.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# Filter out that flag for Ubuntu, it's default there but fails the build
# https://gitlab.gnome.org/GNOME/gcr/issues/43
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

built_binaries := $(shell dh_listpackages)
configure_flags =

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Dgtk_doc=false
else
configure_flags += -Dgtk_doc=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dintrospection=true \
		-Dgtk=true \
		-Dsystemd=disabled \
		-Dssh_agent=false \
		$(configure_flags)

# Disable fakeroot as this confuses some of the tests
# Ignore test failures on s390x
override_dh_auto_test:
ifneq (,$(filter s390x,$(DEB_HOST_ARCH)))
	env -u LD_PRELOAD dbus-run-session -- dh_auto_test || true
else
	env -u LD_PRELOAD dbus-run-session -- dh_auto_test
endif

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_gnome_clean:

=== debian/tests/control ===
Tests: libgck-1-dev
Depends: build-essential,
         libgck-1-dev,
         pkg-config,
Restrictions: allow-stderr superficial

Tests: libgcr-3-dev
Depends: build-essential,
         dbus,
         libgcr-3-dev,
         pkg-config,
         xauth,
         xvfb
Restrictions: allow-stderr superficial
